/* development stylings */

/* #logo {
    position: absolute;
    width: 90px;
    top: 20px;
    left: 20px;
}

#logo svg #logo-path-1,
#logo svg #logo-path-3 {
    fill: #FE4106;
    stroke: #FE4106;
    stroke-width: .5;
}

#logo svg #logo-path-2 {
    opacity: 0;
    fill: #FE4106;
}

.navbar-menu li {
    opacity: 1;
}

#welcome svg {
    fill: #fff;
    stroke: #fff;
    stroke-width: 1;
}

#introduction {
    width: 60%;
    margin: auto;
    opacity: 1;
} */





* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #000;
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #000;
}

::-webkit-scrollbar-thumb {
    background: #C4C4C4;
}

::-webkit-scrollbar-thumb:hover {
    background: #FE4106;
}

#container {
    width: 100%;
    color: #fff;
    overflow: hidden;
}

#logo {
    width: 50%;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 11;
    animation: move .5s linear forwards 2s;
}

#logo svg {
    stroke-dasharray: 30px;
    stroke-dashoffset: 400px;
}


#logo svg #logo-path-1,
#logo svg #logo-path-3 {
    fill: transparent;
    stroke: #FE4106;
    stroke-width: .5;
    animation: draw 2s ease-in forwards;
}

#logo svg #logo-path-2 {
    opacity: 0;
    fill: #FE4106;
    animation: fade .5s linear forwards 2.5s;
}

@keyframes draw {
    95% {
        stroke-dashoffset: 0;
        fill: transparent;
        stroke: #FE4106;
    }


    100% {
        fill: #FE4106;
        stroke: transparent;
    }
}

@keyframes fade {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes move {
    0% {
        width: 50%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    100% {
        width: 90px;
        top: 20px;
        left: 20px;
        transform: translate(0, 0);
    }
}

.navbar-menu li {
    opacity: 0;
    animation: fade-in .5s ease-in-out forwards 3s;
}

.navbar-menu li:nth-child(1) {
    animation-delay: 3.1s;
}

.navbar-menu li:nth-child(2) {
    animation-delay: 3.2s;
}

.navbar-menu li:nth-child(3) {
    animation-delay: 3.4s;
}

.navbar-menu li:nth-child(4) {
    animation-delay: 3.5s;
}

@keyframes fade-in {
    from {
        opacity: 0;
        transform: translateX(-10px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

#navbar {
    height: 80px;
    width: 100%;
    position: fixed;
    top: 0;
    padding-right: 20px;
    z-index: 10;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
}

#navbar ul {
    white-space: nowrap;
}

a {
    transition: color .5s linear;
    color: #fff;
    text-decoration: none;
    padding: 15px;
    margin: 0 5px;
}

a:hover {
    transition: color .5s linear;
    color: #FE4106;
}

#resume {
    border: 2px solid #fff;
    transition: color .5s linear, border-color .5s linear;
    border-radius: 20px;
}

#resume:hover {
    transition: color .5s linear, border-color .5s linear;
    border-color: #FE4106;
}

#about-me {
    height: calc(100vh - 230px);
    min-height: 600px;
}

#welcome {
    width: 50%;
    margin: 230px auto 70px;
}

#welcome svg {
    fill: transparent;
    stroke: #fff;
    stroke-width: 1;
    animation: draw-welcome 1.5s ease-in forwards 3.5s;
    stroke-dasharray: 300px;
    stroke-dashoffset: 300px;
}

@keyframes draw-welcome {
    95% {
        stroke-dashoffset: 0;
        fill: transparent;
        stroke: #fff;
    }


    100% {
        fill: #fff;
        stroke: transparent;
    }
}

#introduction {
    width: 60%;
    color: #C4C4C4;
    margin: auto;
    opacity: 0;
    animation-delay: 5s;
    height: calc(50vh - 40px);
}

.fade-in-elements {
    animation: fade-in-elements 1s ease-in-out forwards;
}

p {
    border-left: 2px solid #FE4106;
    padding-left: 20px;
    font-size: 18px;
    color: #C4C4C4;
}

#introduction h1 {
    padding: 15px 0;
    border: 0;
    color: #fff;
    font-size: 70px;
    text-align: center;
}

.orange {
    color: #FE4106;
}

@keyframes fade-in-elements {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

#projects {
    padding: 100px 150px 0;
}

#projects h1,
#contacts h1,
#languages-frameworks h1 {
    font-size: 60px;
    text-align: center;
    padding-bottom: 20px;
    margin-bottom: 20px;
    opacity: 0;
}

.project {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 150px;
    opacity: 0;
}

.project-title {
    text-align: center;
    color: #FE4106;
    font-size: 25px;
    padding-bottom: 30px;
    width: 100%;
}

.project-title h2 {
    border-bottom: 1px solid #fff;
    display: inline;
}

.project-screenshot {
    width: 50%;
    display: flex;
    align-items: center;
    margin: 25px 0;
}

.project-screenshot img {
    border: 2px solid #fff;
    width: 100%;
}

.project-screenshot img:hover {
    border-color: #FE4106;
}

.project-description {
    width: 50%;
    padding: 25px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.project-languages,
.project-links {
    padding: 20px;
    margin-top: 10px;
    text-align: center;
    width: 50%;
}

.project-languages p,
.project-links p,
.project-links a {
    border: 0;
    display: inline-block;
    padding: 10px;
}

.project-languages-title,
.project-links-title {
    font-size: 25px;
    color: #FE4106;
    padding: 0 10px;
}

.language-circle {
    color: #fff;
}

.language-circle::before {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0 10px -5px;
    border-radius: 50%;
}

.js::before {
    background-color: #f1e05a;
}

.css::before {
    background-color: #563d7c;
}

.html::before {
    background-color: #e34c26;
}

.bash::before {
    background-color: #89e051;
}

.project-links svg {
    height: 25px;
    fill: #fff;
    stroke: #FE4106;
}

#languages-frameworks {
    padding: 0 150px 100px;

}

#languages-frameworks ul {
    justify-content: center;
    flex-wrap: wrap;
    opacity: 0;
}

#languages-frameworks li {
    display: flex;
    padding: 15px;
}

#languages-frameworks h1 {
    font-size: 40px;
    color: #fff;
    opacity: 0;
}

#languages-frameworks h3 {
    padding: 10px;
    color: #C4C4C4;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

#languages-frameworks svg {
    height: 50px;
}

#contacts {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 150px 20px;
}

#contacts p {
    opacity: 0;
    text-align: center;
    border: 0;
    color: #FE4106;
    margin-bottom: 20px;
}

#contacts a {
    opacity: 0;
}

#contacts img {
    height: 50px;
}

#external-links {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 150px 30px;
    min-height: 80px;
}

#external-links ul {
    opacity: 0;
    flex-wrap: wrap;
    /* display on the side */
    /* flex-direction: column;
    position: fixed;
    left: 30px;
    bottom: 30px; */
}

#external-links a {
    height: 50px;
    width: 50px;
    margin: 5px;
    padding: 5px;
    display: flex;
    justify-content: center;
}

#external-links svg {
    width: 70%;
    fill: #fff;
}


footer {
    opacity: 0;
}

#footer {
    background-color: #fff;
    min-height: 80px;
    padding: 0 15px;
    border-top: 5px solid #FE4106;
    color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.wait-to-display {
    display: none !important;
}

.blur {
    filter: blur(5px);
}

@media (max-width: 1100px) {

    #projects,
    #languages-frameworks,
    #contacts,
    #external-links {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media (max-width: 850px) {

    #projects,
    #languages-frameworks,
    #contacts,
    #external-links {
        padding-left: 10px;
        padding-right: 10px;
    }

    .project-description {
        width: 100%;
    }

    .project-screenshot {
        width: 100%;
    }

    .project-languages {
        width: 100%;
    }

    .project-links {
        width: 100%;
    }
}


/* toggle */

.navbar-toggle {
    cursor: pointer;
    display: none;
    height: 22px;
    margin: 5px;

}

@media (max-width: 650px) {
    .navbar-toggle {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .navbar-menu {
        display: none;
        position: fixed;
        top: 80px;
        right: 0;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        width: 80%;
        height: calc(100% - 80px);


    }

    .navbar-menu li {
        margin: 40px;
    }

    .navbar-toggle-icon-1,
    .navbar-toggle-icon-2,
    .navbar-toggle-icon-3 {
        opacity: 0;
        display: block;
        height: 2px;
        width: 22px;
        background-color: #fff;
        position: relative;
        transition: transform 0.2s ease;
    }

    .navbar-toggle-icon.show {
        opacity: 1;
    }

    .navbar-toggle-fade-in .navbar-toggle-icon-1 {
        animation: toggle-fade-in .5s ease-in-out forwards;
    }

    .navbar-toggle-fade-in .navbar-toggle-icon-2 {
        animation: toggle-fade-in 1s ease-in-out forwards;
    }

    .navbar-toggle-fade-in .navbar-toggle-icon-3 {
        animation: toggle-fade-in 1.5s ease-in-out forwards;
    }

    .navbar-toggle.active-toggle .navbar-toggle-icon-2 {
        opacity: 0;
        transition: .2;
    }

    .navbar-toggle.active-toggle .navbar-toggle-icon-1 {
        transform: translateY(10px) rotate(45deg);
    }

    .navbar-toggle.active-toggle .navbar-toggle-icon-3 {
        transform: translateY(-10px) rotate(-45deg);
    }

    @keyframes toggle-fade-in {
        from {
            opacity: 0;
            transform: translateX(-10px);
        }

        to {
            opacity: 1;
            transform: translateX(0);
        }
    }

    .navbar-menu.active-menu {
        display: flex;
    }

    .navbar-menu.active-menu li {
        opacity: 0;
        animation: fade-in .5s ease-in-out forwards;
    }

    .navbar-menu.active-menu li:nth-child(1) {
        animation-delay: 0.1s;
    }

    .navbar-menu.active-menu li:nth-child(2) {
        animation-delay: 0.2s;
    }

    .navbar-menu.active-menu li:nth-child(3) {
        animation-delay: 0.3s;
    }

    .navbar-menu.active-menu li:nth-child(4) {
        animation-delay: 0.4s;
    }
}